com.mapinfo.midev.language.filter

## Class GeometryFilterCapability

- java.lang.Object
- - com.mapinfo.midev.language.filter.GeometryFilterCapability

All Implemented Interfaces:
  IFilterCapability

    public final class GeometryFilterCapability
    extends Object
    implements IFilterCapability

Identifies all the geometry filter capabilities available.

See Also:
  `FilterLanguage`, `FilterCapabilities`, `GeometryFilter`, `ComparisonOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GeometryFilterCapability` `build(GeometryOperator[] operators)` Returns a `GeometryFilterCapability` that supports the specified `GeometryOperator`s.
`boolean` `equals(Object o)`
`Set` `getCapabilities()` Returns the `GeometryOperator` that this `GeometryFilterCapability` supports.
`int` `hashCode()`
`boolean` `isSupported(IFilterCapability desiredCapability)` Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCapabilities

    public Set getCapabilities()

Returns the `GeometryOperator` that this `GeometryFilterCapability` supports.

Returns:
  the `GeometryOperator`s that this `GeometryFilterCapability` supports.

#### isSupported

    public boolean isSupported(IFilterCapability desiredCapability)

Description copied from interface: `IFilterCapability`
Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

Specified by:
  `isSupported` in interface `IFilterCapability`
Parameters:
  `desiredCapability` - the desired `IFilterCapability` to check support of.
Returns:
  `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### build

    public static GeometryFilterCapability build(GeometryOperator[] operators)

Returns a `GeometryFilterCapability` that supports the specified `GeometryOperator`s.

Parameters:
  `operators` - the `GeometryOperator`s that this `GeometryFilterCapability` will support.
Returns:
  a `GeometryFilterCapability` that supports the specified `GeometryOperator`s.